Help save net neutrality! Learn more.
Close

#70 Bad GCC paths in MSYS... and more

closed
MSYS (18)
5
2006-02-19
2006-01-18
SmashManiac
No

I've discovered that in MSYS, the -I parameter of GCC
doesn't work correctly. The / directory points to
C:\, but the /c/ directory doesn't exist in GCC.

Read the whole story there:
http://forums.xbox-scene.com/index.php?
showtopic=480016

Basically OpenXDK is a package to develop homebrew
applications on a modded Xbox. It contains include
files and one app, CXBE, to convert the EXE file
(created by GCC) to a valid XBE (the executable
format of Xbox).

So far, bugs I've uncovered doesn't seem to be the
cause of OpenXDK since it works in Cygwin.

Discussion

  • Earnie Boyd

    Earnie Boyd - 2006-01-18
    • milestone: 102880 -->
    • labels: 380073 --> MSYS
     
  • Earnie Boyd

    Earnie Boyd - 2006-01-18
    • milestone: --> Waiting_user_response
    • status: open --> pending
     
  • Earnie Boyd

    Earnie Boyd - 2006-01-18

    Logged In: YES
    user_id=15438

    Did you follow the documentation for GettingStarted at
    http://www.mingw.org/MinGWiki?

    Earnie

     
  • SmashManiac

    SmashManiac - 2006-01-18

    Logged In: YES
    user_id=1425221

    This is a bit insulting! :) Yes, I've read the whole thing
    even though it is out of date.

    I can compile and run basic C/C++ files, if that's what
    you wanted to know.

     
  • SmashManiac

    SmashManiac - 2006-01-18
    • status: pending --> open
     
  • Earnie Boyd

    Earnie Boyd - 2006-01-18
    • status: open --> pending
     
  • Earnie Boyd

    Earnie Boyd - 2006-01-18

    Logged In: YES
    user_id=15438

    I'm not trying to insult; just figure out where things are
    wrong.

    Can you execute ``msysinfo all'' in the MSYS shell? If so,
    what is the output.

     
  • SmashManiac

    SmashManiac - 2006-01-19
    • status: pending --> open
     
  • SmashManiac

    SmashManiac - 2006-01-19

    Logged In: YES
    user_id=1425221

    Here is my current config for the "Current" release of
    MinGW. Note that an analog configuration with
    the "Candidate" version also has the bug.

    ----------

    msysinfo-1.3: Send this to the MSYS support list:

    MSYS 1.0.10(0.46/3/2) 2004-03-15 07:17 i686 unknown;
    targ=MINGW32
    GNU bash, version 2.04.0(1)-release (i686-pc-msys);
    ENV=.profile
    GNU Make version 3.79.1,Built for i686-pc-msys;
    MAKE_MODE=unix
    gcc.exe (GCC) 3.4.2 (mingw-special); targ=MINGW32
    GNU ld version 2.15.91 20040904
    789320 Tue Mar 16 18:32:50 2004 /bin/msys-1.0.dll
    135680 Tue Mar 16 18:32:48 2004 /bin/make.exe
    88064 Tue Sep 21 08:15:22 2004 /mingw/bin/gcc.exe
    642048 Sat Sep 04 23:45:44 2004 /mingw/bin/ld.exe
    HOME=/home/User
    Sysname=MINGW32_NT-5.1 OSTYPE=msys TERM=msys
    PATH=.:/usr/local/bin:/mingw/bin:/bin:/c/WINDOWS/system32:/
    c/WIN
    DOWS:/c/WINDOWS/System32/Wbem:/c/Program
    Files/Java/jdk1.5.0_05/
    bin:/c/Program Files/QuickTime/QTSystem/
    $ ls -tx /home/User
    .bash_history

    bbfe534c85236d94683f3461829ef10b */bin/msys-1.0.dll
    0e7941487ca8156a25b46b0b8f9a8bd9 */bin/make.exe
    49c52946bb3f2393ce4e0ae7f56f4219 */mingw/bin/gcc.exe
    2131d5ff5cce4c0a989ddf0222b3e988 */mingw/bin/ld.exe

    In /etc/fstab:
    cat: /etc/fstab: No such file or directory

    In /etc/profile:
    export PATH=".:/usr/local/bin:/mingw/bin:/bin:$PATH"
    export PATH=".:/usr/local/bin:/bin:/mingw/bin:$PATH"
    export HOME LOGNAME MSYSTEM HISTFILE
    export MAKE_MODE=unix
    export PS1='\[\033]0;$MSYSTEM:\w\007

    %%% MSYS dll major: 1000
    %%% MSYS dll minor: 10
    %%% MSYS dll epoch: 19
    %%% MSYS dll bad signal mask: 19005
    %%% MSYS dll old termios: 5
    %%% MSYS dll malloc env: 28
    %%% MSYS api major: 0
    %%% MSYS api minor: 46
    %%% MSYS shared data: 3
    %%% MSYS dll identifier: cygwin1
    %%% MSYS mount registry: 2
    %%% MSYS cygnus registry name: msys
    %%% MSYS cygwin registry name: 1.0
    %%% MSYS program options name: Program Options
    %%% MSYS cygwin mount registry name: mounts v2
    %%% MSYS cygdrive flags: cygdrive flags
    %%% MSYS cygdrive prefix: cygdrive prefix
    %%% MSYS cygdrive default prefix:
    %%% MSYS build date: Mon Mar 15 07:17:24 EST 2004
    %%% MSYS shared id: cygwin1S3

    !::='::\'
    !C:='C:\msys\1.0\bin'
    ALLUSERSPROFILE='C:\Documents and Settings\All Users'
    APPDATA='C:\Documents and Settings\User\Application Data'
    BASH=/usr/bin/sh
    BASH_VERSINFO=([0]="2" [1]="04" [2]="0" [3]="1" [4]
    ="release"
    [5]="i686-pc-msys")
    BASH_VERSION='2.04.0(1)-release'
    BGCOLOR=LightYellow
    CLASSPATH='.;C:\Program
    Files\Java\jre1.5.0_05\lib\ext\QTJava.zip'
    CLIENTNAME=Console
    COLORFGBG='default;default'
    COLORTERM=rxvt
    COMMONPROGRAMFILES='C:\Program Files\Fichiers communs'
    COMPUTERNAME=PRINCIPAL
    COMSPEC='C:\WINDOWS\system32\cmd.exe'
    DIRSTACK=()
    DISPLAY=:0
    EUID=500
    FGCOLOR=Navy
    FP_NO_HOST_CHECK=NO
    GROUPS=()
    HISTFILE=/home/User/.bash_history
    HOME=/home/User
    HOMEDRIVE=C:
    HOMEPATH='\'
    HOSTNAME=PRIMARY
    HOSTTYPE=i686
    IFS='
    '
    LOGNAME=User
    LOGONSERVER='\\PRIMARY'
    MACHTYPE=i686-pc-msys
    MAKE_MODE=unix
    MINGW32BGCOLOR=LightYellow
    MINGW32FGCOLOR=Navy
    MSYSBGCOLOR=White
    MSYSFGCOLOR=Black
    MSYSTEM=MINGW32
    NUMBER_OF_PROCESSORS=2
    OPTERR=1
    OPTIND=1
    OS=Windows_NT
    OSTYPE=msys
    PATH='.:/usr/local/bin:/mingw/bin:/bin:/c/WINDOWS/system32:
    /c/WI
    NDOWS:/c/WINDOWS/System32/Wbem:/c/Program
    Files/Java/jdk1.5.0_05/bin:/c/Program
    Files/QuickTime/QTSystem/'
    PATHEXT='.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH'
    PIPESTATUS=([0]="0")
    PPID=3128
    PROCESSOR_ARCHITECTURE=x86
    PROCESSOR_IDENTIFIER='x86 Family 15 Model 4 Stepping 4,
    GenuineIntel'
    PROCESSOR_LEVEL=15
    PROCESSOR_REVISION=0404
    PROGRAMFILES='C:\Program Files'
    PROMPT='$P$G'
    PS4='+ '
    PWD=/home/User
    QTJAVA='C:\Program Files\Java\jre1.5.0_05
    \lib\ext\QTJava.zip'
    SESSIONNAME=Console
    SHELL=/bin/sh
    SHELLOPTS=braceexpand:hashall:interactive-comments
    SHLVL=2
    SYSTEMDRIVE=C:
    SYSTEMROOT='C:\WINDOWS'
    TEMP=/tmp
    TERM=msys
    TMP=/tmp
    UID=500
    USERDOMAIN=PRIMARY
    USERNAME=User
    USERPROFILE='C:\Documents and Settings\User'
    WINDIR='C:\WINDOWS'
    WINDOWID=167838872
    _=echo

     
  • Earnie Boyd

    Earnie Boyd - 2006-01-19
    • status: open --> pending
     
  • Earnie Boyd

    Earnie Boyd - 2006-01-19

    Logged In: YES
    user_id=15438

    Ok, now give me the command line that fails.

     
  • SmashManiac

    SmashManiac - 2006-01-19

    Logged In: YES
    user_id=1425221

    ...
    ...
    ...

    My own quote:
    ---
    Read the whole story there:
    http://forums.xbox-scene.com/index.php?showtopic=480016
    ---

    Haven't you read it??? I've posted 2 different versions of
    erroneous command line, created by my makefile! All the
    details are there, so read it!

    The only part of that thread that doesn't apply there is
    the part about the 2 versions of CXBE, which has nothing
    to do with MinGW. However, the "CXBE not found" part is
    indeed important to MinGW, since it confirms my bug report
    because CXBE is in the openxdk directory.

    If there's a part you don't understand contact me again.

     
  • SmashManiac

    SmashManiac - 2006-01-19
    • status: pending --> open
     
  • Earnie Boyd

    Earnie Boyd - 2006-01-19

    Logged In: YES
    user_id=15438

    Sorry, I missed the link and you shouldn't expect me to go
    elsewhere to help you resolve the issue.

    -I/c/foo doesn't translate to a windows path in MSYS.
    -I /c/foo would translate to -I c:/foo.

    Change your PREFIX variable value to c:/openxdk.

    -Ic:/foo should work.

     
  • Earnie Boyd

    Earnie Boyd - 2006-01-19
    • status: open --> pending
     
  • SourceForge Robot

    Logged In: YES
    user_id=1312539

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 30 days (the time period specified by
    the administrator of this Tracker).

     
  • SourceForge Robot

    • status: pending --> closed
     

Log in to post a comment.